Bug 1000583 - Review Request: fcitx-anthy - Anthy Engine for Fcitx
Review Request: fcitx-anthy - Anthy Engine for Fcitx
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
: 887907 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 14:23 EDT by Robin Lee
Modified: 2013-09-22 20:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: fcitx-anthy-0.2.0-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:24:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2013-08-23 14:23:23 EDT
Spec URL: http://cheeselee.fedorapeople.org/fcitx-anthy.spec
SRPM URL: http://cheeselee.fedorapeople.org/fcitx-anthy-0.2.0-1.fc19.src.rpm
Description: Fcitx-anthy is an Anthy engine wrapper for Fcitx. It provides a Japanese input method.
Fedora Account System Username: cheeselee
Comment 1 Robin Lee 2013-08-23 14:25:12 EDT
*** Bug 887907 has been marked as a duplicate of this bug. ***
Comment 2 Christopher Meng 2013-09-05 10:03:59 EDT
Directories without known owners:

%{_datadir}/fcitx/anthy/*.sty

--->

%{_datadir}/fcitx/anthy


===========

Suggestion:

Name:			fcitx-anthy
Version:		0.2.0
Release:		1%{?dist}
Summary:		Anthy Engine for Fcitx
Group:			System Environment/Libraries
License:		GPLv2+
URL:			https://fcitx-im.org/wiki/Anthy
Source0:		http://download.fcitx-im.org/fcitx-anthy/%{name}-%{version}.tar.xz
BuildRequires:	cmake
BuildRequires:	fcitx-devel
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	anthy-devel
Requires:		fcitx

Auh, a bit ugly...

Name:		fcitx-anthy
Version:	0.2.0
Release:	1%{?dist}
Summary:	Anthy Engine for Fcitx
Group:		System Environment/Libraries
License:	GPLv2+
URL:		https://fcitx-im.org/wiki/Anthy
Source0:	http://download.fcitx-im.org/fcitx-anthy/%{name}-%{version}.tar.xz
BuildRequires:	anthy-devel
BuildRequires:	cmake
BuildRequires:	fcitx-devel
BuildRequires:	gettext
BuildRequires:	intltool
Requires:	fcitx

Also, %description is too short.

Orig:

Fcitx-anthy is an Anthy engine wrapper for Fcitx. It
provides a Japanese input method.


Mine:

Fcitx-anthy is an Anthy engine wrapper for Fcitx based on scim-anthy. It provides a Japanese input method. Users can input Japanese hiragana and katakana by inputting romaji via fcitx-anthy. Fcitx-anthy can also convert hiragana or katakana to Japanese kanji after inputting hiragana or katakana. 

*************************************

Please FIX the issue before SCM.

APPROVED.
Comment 3 Robin Lee 2013-09-09 23:00:12 EDT
Spec URL: http://cheeselee.fedorapeople.org/fcitx-anthy.spec
SRPM URL: http://cheeselee.fedorapeople.org/fcitx-anthy-0.2.0-2.fc19.src.rpm

Changes:
- Own the diretory %%{_datadir}/fcitx/anthy/
- description enlarged


(In reply to Christopher Meng from comment #2)
> Directories without known owners:
> 
> %{_datadir}/fcitx/anthy/*.sty
> 
> --->
> 
> %{_datadir}/fcitx/anthy
> 
> 
> ===========
> 
> Suggestion:
> 
> Name:			fcitx-anthy
> Version:		0.2.0
> Release:		1%{?dist}
> Summary:		Anthy Engine for Fcitx
> Group:			System Environment/Libraries
> License:		GPLv2+
> URL:			https://fcitx-im.org/wiki/Anthy
> Source0:		http://download.fcitx-im.org/fcitx-anthy/%{name}-%{version}.tar.xz
> BuildRequires:	cmake
> BuildRequires:	fcitx-devel
> BuildRequires:	gettext
> BuildRequires:	intltool
> BuildRequires:	anthy-devel
> Requires:		fcitx
> 
> Auh, a bit ugly...
> 
> Name:		fcitx-anthy
> Version:	0.2.0
> Release:	1%{?dist}
> Summary:	Anthy Engine for Fcitx
> Group:		System Environment/Libraries
> License:	GPLv2+
> URL:		https://fcitx-im.org/wiki/Anthy
> Source0:	http://download.fcitx-im.org/fcitx-anthy/%{name}-%{version}.tar.xz
> BuildRequires:	anthy-devel
> BuildRequires:	cmake
> BuildRequires:	fcitx-devel
> BuildRequires:	gettext
> BuildRequires:	intltool
> Requires:	fcitx
The specfile is aligned with tabs. If you set tab as 4 spaces in you editor, you will get a cleanly aligned view.

> 
> Also, %description is too short.
> 
> Orig:
> 
> Fcitx-anthy is an Anthy engine wrapper for Fcitx. It
> provides a Japanese input method.
> 
> 
> Mine:
> 
> Fcitx-anthy is an Anthy engine wrapper for Fcitx based on scim-anthy. It
> provides a Japanese input method. Users can input Japanese hiragana and
> katakana by inputting romaji via fcitx-anthy. Fcitx-anthy can also convert
> hiragana or katakana to Japanese kanji after inputting hiragana or katakana.
OK. I have revised it with respect to your suggestion.
 
> 
> *************************************
> 
> Please FIX the issue before SCM.
> 
> APPROVED.
Comment 4 Robin Lee 2013-09-09 23:04:23 EDT
Thanks for your review!

New Package SCM Request
=======================
Package Name: fcitx-anthy
Short Description: Anthy Engine for Fcitx
Owners: cheeselee
Branches: f18 f19 f20
InitialCC: i18n-team
Comment 5 Gwyn Ciesla 2013-09-10 07:54:59 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-09-10 22:30:31 EDT
fcitx-anthy-0.2.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fcitx-anthy-0.2.0-2.fc18
Comment 7 Fedora Update System 2013-09-11 22:01:54 EDT
fcitx-anthy-0.2.0-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2013-09-22 20:24:17 EDT
fcitx-anthy-0.2.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.